#include <stdio.h>
#include <ctype.h>
#include <stdlib.h>
#include <string.h>

int getline(char s[], int lim){
	int i, c;
	for (i=0; i<lim && (c=getchar()) != EOF && c != '\n'; ++i) {
		s[i] = c;
	}
	s[i] = '\0';
	return (i);
}


int szame(char s[]){
int ok=1,n=0,i,h=0;	
h=strlen(s);

for(i=0;i<h;i++){	
if(!isdigit(s[i])){ok=0;}	
}

if(ok==1){
n=atoi(s);
if(n<16 || n>60){ok=0;}
}
return ok;	
}

void main(void){
char s[128];
int sz[20];
int db=0,ok=1,n=0,k=0,h=0,min=0,max=0,z=0,j=0,i=0, t=0,kul=0;	
printf("\tBringaedzes dokumentalo program\n");
printf("A program bekeri a sebessegeket percenkenti mereseknek megfeleloen[max 20 percnyit]\nA megadott ertek 16-60 kozott lehet\n\n"); 	

do{	
do{
printf("Adja meg a %d. adatot:\n",db+1);
h=getline(s,128);

if(h>0){
if(szame(s)){
ok=1;
n=atoi(s);
sz[k]=n;
k++;
db++;
}
else{ok=0; printf("Rossz adat, adja meg ujra!\n");}
}
}while(ok!=1);
}while(db!=20 && h!=0);


for(j=0;j<db;j++){
	if(sz[j]>max){max=sz[j]; z=j;}
}
printf("A legnagyobb sebesseget: %d KM/H-t %d percben ertek el\n" ,max, z+1);

min=sz[0];
t=0;
for(j=1;j<db;j++){
	if(sz[j]<min){min=sz[j]; t=j;}
}
printf("A legalacsonyabb sebesseget: %d KM/H-t %d percben ertek el\n" ,min, t+1);

kul=z-t;
if(kul<0){kul=kul*(-1);}
printf("A legmagasabb sebesseg %d perc kulonbseg volt a legalacsonyabb sebesseg kozott!\n",kul);	
}
